//===-- C standard library header time.h ----------------------------------===//
//
// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.
// See https://llvm.org/LICENSE.txt for license information.
// SPDX-License-Identifier: Apache-2.0 WITH LLVM-exception
//
//===----------------------------------------------------------------------===//

#ifndef LLVM_LIBC_TIME_H
#define LLVM_LIBC_TIME_H

#include "__llvm-libc-common.h"
#include "llvm-libc-macros/time-macros.h"

#include <llvm-libc-types/clock_t.h>
#include <llvm-libc-types/clockid_t.h>
#include <llvm-libc-types/size_t.h>
#include <llvm-libc-types/struct_timespec.h>
#include <llvm-libc-types/struct_timeval.h>
#include <llvm-libc-types/struct_tm.h>
#include <llvm-libc-types/time_t.h>

__BEGIN_C_DECLS

clock_t clock(void) __NOEXCEPT;

int clock_gettime(clockid_t, struct timespec *) __NOEXCEPT;

int nanosleep(const struct timespec *, struct timespec *) __NOEXCEPT;

int timespec_get(struct timespec *, int) __NOEXCEPT;

__END_C_DECLS

#endif // LLVM_LIBC_TIME_H
