//===-- C standard declarations for ctype.h ------------------------------===//
//
// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.
// See https://llvm.org/LICENSE.txt for license information.
// SPDX-License-Identifier: Apache-2.0 WITH LLVM-exception
//
//===----------------------------------------------------------------------===//

#ifndef __LLVM_LIBC_DECLARATIONS_CTYPE_H
#define __LLVM_LIBC_DECLARATIONS_CTYPE_H

#ifndef __LIBC_ATTRS
#define __LIBC_ATTRS
#endif

#ifdef __cplusplus
extern "C" {
#endif

int isalnum(int) __LIBC_ATTRS;

int isalnum_l(int, locale_t) __LIBC_ATTRS;

int isalpha(int) __LIBC_ATTRS;

int isalpha_l(int, locale_t) __LIBC_ATTRS;

int isascii(int) __LIBC_ATTRS;

int isblank(int) __LIBC_ATTRS;

int isblank_l(int, locale_t) __LIBC_ATTRS;

int iscntrl(int) __LIBC_ATTRS;

int iscntrl_l(int, locale_t) __LIBC_ATTRS;

int isdigit(int) __LIBC_ATTRS;

int isdigit_l(int, locale_t) __LIBC_ATTRS;

int isgraph(int) __LIBC_ATTRS;

int isgraph_l(int, locale_t) __LIBC_ATTRS;

int islower(int) __LIBC_ATTRS;

int islower_l(int, locale_t) __LIBC_ATTRS;

int isprint(int) __LIBC_ATTRS;

int isprint_l(int, locale_t) __LIBC_ATTRS;

int ispunct(int) __LIBC_ATTRS;

int ispunct_l(int, locale_t) __LIBC_ATTRS;

int isspace(int) __LIBC_ATTRS;

int isspace_l(int, locale_t) __LIBC_ATTRS;

int isupper(int) __LIBC_ATTRS;

int isupper_l(int, locale_t) __LIBC_ATTRS;

int isxdigit(int) __LIBC_ATTRS;

int isxdigit_l(int, locale_t) __LIBC_ATTRS;

int toascii(int) __LIBC_ATTRS;

int tolower(int) __LIBC_ATTRS;

int tolower_l(int, locale_t) __LIBC_ATTRS;

int toupper(int) __LIBC_ATTRS;

int toupper_l(int, locale_t) __LIBC_ATTRS;

#ifdef __cplusplus
}
#endif

#endif