//===-- C standard declarations for inttypes.h ------------------------------===//
//
// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.
// See https://llvm.org/LICENSE.txt for license information.
// SPDX-License-Identifier: Apache-2.0 WITH LLVM-exception
//
//===----------------------------------------------------------------------===//

#ifndef __LLVM_LIBC_DECLARATIONS_INTTYPES_H
#define __LLVM_LIBC_DECLARATIONS_INTTYPES_H

#ifndef __LIBC_ATTRS
#define __LIBC_ATTRS
#endif

#ifdef __cplusplus
extern "C" {
#endif

intmax_t imaxabs(intmax_t) __LIBC_ATTRS;

imaxdiv_t imaxdiv(intmax_t, intmax_t) __LIBC_ATTRS;

intmax_t strtoimax(const char *__restrict, char * *__restrict, int) __LIBC_ATTRS;

uintmax_t strtoumax(const char *__restrict, char * *__restrict, int) __LIBC_ATTRS;

#ifdef __cplusplus
}
#endif

#endif