//===-- C standard declarations for locale.h ------------------------------===//
//
// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.
// See https://llvm.org/LICENSE.txt for license information.
// SPDX-License-Identifier: Apache-2.0 WITH LLVM-exception
//
//===----------------------------------------------------------------------===//

#ifndef __LLVM_LIBC_DECLARATIONS_LOCALE_H
#define __LLVM_LIBC_DECLARATIONS_LOCALE_H

#ifndef __LIBC_ATTRS
#define __LIBC_ATTRS
#endif

#ifdef __cplusplus
extern "C" {
#endif

locale_t duplocale(locale_t) __LIBC_ATTRS;

void freelocale(locale_t) __LIBC_ATTRS;

struct lconv * localeconv(void) __LIBC_ATTRS;

locale_t newlocale(int, const char *, locale_t) __LIBC_ATTRS;

char * setlocale(int, const char *) __LIBC_ATTRS;

locale_t uselocale(locale_t) __LIBC_ATTRS;

#ifdef __cplusplus
}
#endif

#endif