//===-- C standard declarations for strings.h ------------------------------===//
//
// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.
// See https://llvm.org/LICENSE.txt for license information.
// SPDX-License-Identifier: Apache-2.0 WITH LLVM-exception
//
//===----------------------------------------------------------------------===//

#ifndef __LLVM_LIBC_DECLARATIONS_STRINGS_H
#define __LLVM_LIBC_DECLARATIONS_STRINGS_H

#ifndef __LIBC_ATTRS
#define __LIBC_ATTRS
#endif

#ifdef __cplusplus
extern "C" {
#endif

int bcmp(const void *, const void *, size_t) __LIBC_ATTRS;

void bcopy(const void *, void *, size_t) __LIBC_ATTRS;

void bzero(void *, size_t) __LIBC_ATTRS;

char * index(const char *, int) __LIBC_ATTRS;

char * rindex(const char *, int) __LIBC_ATTRS;

int strcasecmp(const char *, const char *) __LIBC_ATTRS;

int strncasecmp(const char *, const char *, size_t) __LIBC_ATTRS;

#ifdef __cplusplus
}
#endif

#endif