//===-- C standard declarations for time.h ------------------------------===//
//
// Part of the LLVM Project, under the Apache License v2.0 with LLVM Exceptions.
// See https://llvm.org/LICENSE.txt for license information.
// SPDX-License-Identifier: Apache-2.0 WITH LLVM-exception
//
//===----------------------------------------------------------------------===//

#ifndef __LLVM_LIBC_DECLARATIONS_TIME_H
#define __LLVM_LIBC_DECLARATIONS_TIME_H

#ifndef __LIBC_ATTRS
#define __LIBC_ATTRS
#endif

#ifdef __cplusplus
extern "C" {
#endif

clock_t clock(void) __LIBC_ATTRS;

int clock_gettime(clockid_t, struct timespec *) __LIBC_ATTRS;

int nanosleep(const struct timespec *, struct timespec *) __LIBC_ATTRS;

int timespec_get(struct timespec *, int) __LIBC_ATTRS;

#ifdef __cplusplus
}
#endif

#endif